<template>
  <v-list-item>
    <v-list-item-content>
      <v-row>
        <v-col>
          <v-list-item-title>
            {{ '**** **** **** ' + paymentMethod.card.number.slice(-4) }}
          </v-list-item-title>
          <v-list-item-subtitle>
            {{ paymentMethod.card.name }}
          </v-list-item-subtitle>
          <v-list-item-subtitle>
            {{
              (paymentMethod.card.expiration.month / 100).toString().slice(-2) +
              '/' +
              paymentMethod.cardExpiration.year
            }}
          </v-list-item-subtitle>
        </v-col>
        <v-col v-if="deletable" cols="4" class="text-right">
          <v-btn @click="deletePaymentMethod()">Delete</v-btn>
        </v-col>
      </v-row>
    </v-list-item-content>
  </v-list-item>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    paymentMethod: {
      type: Object,
      required: true,
    },
    deletable: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
  methods: {
    deletePaymentMethod() {
      this.$axios.$delete(
        'http://consumer.localhost:4000/wallets/' + this.paymentMethod._id
      )
    },
  },
})
</script>
